Subject: Re: Problems with dma_alloc_coherent()

From: Eugene Surovegin <[email-masked]>
Date: Thu, 1 Apr 2004 14:00:18 -0800

On Thu, Apr 01, 2004 at 03:52:20PM -0500, Michael R. Zucca wrote:
>
> >I think we should add such info to a structure which describes the _bus_,
> >not
> >_device_.
> >I'm not "new-device-model" guru, so I cannot comment _how_ this can be
> >implemented though :)
>
> A bus description alone is not sufficient. A generic DMA API should take
> both a source and destination device.

well, DMA API we are talking about handles only device <-> system memory, so
only _one_ device (which is currently done) is need.

> Between any two sources and
> destinations there may be several intervening bridges, which potentially
> means programming those bridges and/or doing several address translations.

In case of several bridges, I think it's simpler just to assign _different_
buses for each bus connected by a bridge.

Eugene.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/